Index: code/branches/campaignHS15/data/levels/Campaign1.oxw
===================================================================
--- code/branches/campaignHS15/data/levels/Campaign1.oxw	(revision 10766)
+++ code/branches/campaignHS15/data/levels/Campaign1.oxw	(revision 10767)
@@ -43,21 +43,20 @@
         allies = 3
 
-        --[[ Coordinates. NOTE: Indexing starts at 1 in lua! Don´t forget to adapt the for loops, too! ]]--
+        --[[ Coordinates in (y,z,x). NOTE: Indexing starts at 1 in lua! Don´t forget to adapt the for loops, too! ]]--
         cCenter = {0, 0, 0}
-        cSpawn = {0, -50, 0}
-        cUnit = {3000, -2000, 0}
-        cA = {5000, -3000, 0}
-        cB = {-5000, -3000, 0}
-        cC = {0, -2300, 0}
-        dStation = {0, 1, 0}
-        cNewShip = {4100, -2100, 0}
-        cFPSGround = {0, -2300, 1200}
-        dFPSGround = {0, 0, -1}
-        cFPS = {0, -2300, 1201}
-        cField1 = {2500, 400, 0}
-        cField2 = {-2500, 400, 0}
-        cPlanet1 = {15000, 8000, -2000}
-        cPlanet2 = {-1000, -20000, 4000}
-        rAllies = {3000, -2000}         --[[ To be addressed directly, hence r ]]--
+        cSpawn = {-50, 0, 0}
+        cUnit = {-2000, 0, 3000}
+        cA = {-3000, 0, 5000}
+        cB = {-3000, 0, -5000}
+        cC = {-2300, 0, 0}
+        dStation = {1, 0, 0}
+        cNewShip = {-2100, 0, 4100}
+        cFPSGround = {-2300, 800, 0}
+        cFPS = {-2300, 1000, 0}
+        cField1 = {400, 0, 2500}
+        cField2 = {400, 0, -2500}
+        cPlanet1 = {8000, -2000, 15000}
+        cPlanet2 = {-20000, 4000, -1000}
+        rAllies = {3000, -2000}         --[[ To be addressed directly, hence r. Do not permute! ]]--
 
         --[[ Function to print Coordinates. Quotes not included! ]]--
@@ -586,4 +585,7 @@
                         <EventListener event="dockC" />
                     </execute>
+                    <undocking>
+                        <EventListener event="undockC" />
+                    </undocking>
                 </events>
                 <attached>
@@ -618,18 +620,26 @@
     </SpaceShip>
 
-    <!-- FPS Player as destination of dock C-->
-    <FpsPlayer team=0 template = "fps" radarname = "First Person Player" position = "<?lua printC(cFPS) ?>">
+    <!-- FPS Player as destination of dock C -->
+    <FpsPlayer team=0 template = "fps" radarname = "Cannon Suit" position = "<?lua printC(cFPS) ?>" lookat="<?lua printC(cCenter) ?>">
         <attached>
             <DockingTarget name="fpsMode" />
             <DistanceTriggerBeacon name="fpsPlayer" />
         </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,0" halfExtents="1,1,1"/>
+        </collisionShapes>
     </FpsPlayer>
 
-    <StaticEntity position="<?lua printC(cFPSGround) ?>" direction="<?lua printC(dFPSGround) ?>" collisionType=static mass=100000 friction=0.01 >
+    <!-- Floor for FPS Player -->
+    <StaticEntity position="<?lua printC(cFPSGround) ?>" collisionType=static mass=100000 friction=0.01 >
         <attached>
-            <Model position="0,0,0" mesh="crate.mesh" scale3D="80,80,5" />
+            <Model position="0,0,0" mesh="crate.mesh" scale3D="80,5,80" />
+            <Billboard position="320,50,320" material="Flares/ringflare2" colour="0.2,0.4,0.8" />
+    	    <DistanceTrigger position="320,50,320" distance="50" target="Pawn" beaconMode="identify" targetname="fpsPlayer" name="undockC"/>
+            <ForceField active=false position="0,0,0" mode="homogen" diameter="600" forcedirection = "0,-500,0" />
+            <!-- TODO: Invisible boundaries to prevent falling off platform -->
         </attached>
         <collisionShapes>
-            <BoxCollisionShape position="0,0,0" halfExtents="80,80,5" />
+            <BoxCollisionShape position="0,0,0" halfExtents="400,25,400" />
         </collisionShapes>
     </StaticEntity>
@@ -714,5 +724,5 @@
     y = rAllies[2] + math.sin(2*math.pi/allies*(i+1))*100
     ?>
-    <SpaceShip visible=false active=false name="allies<?lua print(k)?>" radarname="Ally" position="<?lua print(x)?>,<?lua print(y)?>,<?lua print(math.pow(-1,i)*100) ?>" lookat="0,0,0" team=0>
+    <SpaceShip visible=false active=false name="allies<?lua print(k)?>" radarname="Ally" position="<?lua print(y)?>,<?lua print(math.pow(-1,i)*100) ?>,<?lua print(x)?>" lookat="0,0,0" team=0>
         <templates>
             <Template link="spaceshipassff" />
@@ -747,5 +757,5 @@
     y = math.sin(math.pi/(enemies + 3)*(i+1))*1500
     ?>
-    <SpaceShip visible=false active=false name="attackers<?lua print(k)?>" radarname="Attacker" position="<?lua print(x)?>,<?lua print(y)?>,<?lua print(math.pow(-1,i)*250) ?>" lookat="0,0,0" team=1>
+    <SpaceShip visible=false active=false name="attackers<?lua print(k)?>" radarname="Attacker" position="<?lua print(y)?>,<?lua print(math.pow(-1,i)*250) ?>,<?lua print(x)?>" lookat="0,0,0" team=1>
         <templates>
             <Template link="spaceshippirate" />
@@ -797,5 +807,5 @@
                     y = -math.sin(math.pi*(i+1)/8)*700-3000
                     ?>
-                    <Billboard position="<?lua print(x) ?>,<?lua print(y) ?>,0" amplitude=1 material="Flares/lensflare" colour="1,1,0.05"/>
+                    <Billboard position="<?lua print(y) ?>,0,<?lua print(x) ?>" amplitude=1 material="Flares/lensflare" colour="1,1,0.05"/>
                     <?lua end ?>
 
@@ -811,5 +821,5 @@
                     y = -math.sin(math.pi*(max+2-i)/8)*700-3000
                     ?>
-                    <Billboard position="<?lua print(x) ?>,<?lua print(y) ?>,0" amplitude=1 material="Flares/lensflare" colour="1,1,0.05"/>
+                    <Billboard position="<?lua print(y) ?>,0,<?lua print(x) ?>" amplitude=1 material="Flares/lensflare" colour="1,1,0.05"/>
                     <?lua end ?>
 