Index: code/branches/cpp11_v2/src/modules/dodgerace/DodgeRace.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/dodgerace/DodgeRace.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/dodgerace/DodgeRace.cc	(revision 10768)
@@ -59,5 +59,5 @@
         comboTimer.setTimer(3.0f, true, createExecutor(createFunctor(&DodgeRace::comboControll, this)));
         this->numberOfBots_ = 0; //sets number of default bots temporarly to 0
-        this->center_ = 0;
+        this->center_ = nullptr;
 
         this->setHUDTemplate("DodgeRaceHUD");
Index: code/branches/cpp11_v2/src/modules/dodgerace/DodgeRaceHUDinfo.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/dodgerace/DodgeRaceHUDinfo.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/dodgerace/DodgeRaceHUDinfo.cc	(revision 10768)
@@ -40,5 +40,5 @@
         RegisterObject(DodgeRaceHUDinfo);
 
-        this->DodgeRaceGame = 0;
+        this->DodgeRaceGame = nullptr;
         this->bShowPoints_ = true;
     }
@@ -86,5 +86,5 @@
         else
         {
-            this->DodgeRaceGame = 0;
+            this->DodgeRaceGame = nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceController.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceController.cc	(revision 10768)
@@ -416,5 +416,5 @@
         for (std::vector<StaticEntity*>::const_iterator it = allObjects.begin(); it != allObjects.end(); ++it)
         {
-            for (int everyShape=0; (*it)->getAttachedCollisionShape(everyShape) != 0; everyShape++)
+            for (int everyShape=0; (*it)->getAttachedCollisionShape(everyShape) != nullptr; everyShape++)
             {
                 btCollisionShape* currentShape = (*it)->getAttachedCollisionShape(everyShape)->getCollisionShape();
@@ -444,5 +444,5 @@
         for (std::vector<StaticEntity*>::iterator it = allObjects.begin(); it != allObjects.end(); ++it)
         {
-            for (int everyShape=0; (*it)->getAttachedCollisionShape(everyShape) != 0; everyShape++)
+            for (int everyShape=0; (*it)->getAttachedCollisionShape(everyShape) != nullptr; everyShape++)
             {
                 btCollisionShape* currentShape = (*it)->getAttachedCollisionShape(everyShape)->getCollisionShape();
@@ -540,5 +540,5 @@
         //                    {   orxout()<<"Problempoint 1.1"<<endl; continue;}
         //                    //TODO: Probably it points on a wrong object
-        //                    for (int everyShape=0; (*it)->getAttachedCollisionShape(everyShape)!=0; everyShape++)
+        //                    for (int everyShape=0; (*it)->getAttachedCollisionShape(everyShape)!=nullptr; everyShape++)
         //                    {
         //                        if((*it)->getAttachedCollisionShape(everyShape)->getCollisionShape()==nullptr)
@@ -572,5 +572,5 @@
         //                        if((*it)==nullptr)
         //                        {   orxout()<<"Problempoint 1"<<endl; continue;}
-        //                        for (int everyShape=0; (*it)->getAttachedCollisionShape(everyShape)!=0; everyShape++)
+        //                        for (int everyShape=0; (*it)->getAttachedCollisionShape(everyShape)!=nullptr; everyShape++)
         //                        {
         //                            if((*it)->getAttachedCollisionShape(everyShape)->getCollisionShape()==nullptr)
Index: code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceManager.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceManager.cc	(revision 10768)
@@ -100,5 +100,5 @@
         return this->checkpoints_[index];
         else
-        return 0;
+        return nullptr;
     }
 
@@ -116,5 +116,5 @@
         if (this->checkpoints_[i]->getCheckpointIndex() == index)
         return this->checkpoints_[i];
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/modules/invader/Invader.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/Invader.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/invader/Invader.cc	(revision 10768)
@@ -61,5 +61,5 @@
         RegisterObject(Invader);
         this->numberOfBots_ = 0; //sets number of default bots temporarly to 0
-        this->center_ = 0;
+        this->center_ = nullptr;
         bEndGame = false;
         lives = 3;
Index: code/branches/cpp11_v2/src/modules/invader/InvaderHUDinfo.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderHUDinfo.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderHUDinfo.cc	(revision 10768)
@@ -40,5 +40,5 @@
         RegisterObject(InvaderHUDinfo);
 
-        this->InvaderGame = 0;
+        this->InvaderGame = nullptr;
         this->bShowLives_ = false;
         this->bShowLevel_ = false;
@@ -132,5 +132,5 @@
         else
         {
-            this->InvaderGame = 0;
+            this->InvaderGame = nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/modules/jump/Jump.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/Jump.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/jump/Jump.cc	(revision 10768)
@@ -65,7 +65,7 @@
         RegisterObject(Jump);
 
-        center_ = 0;
-        figure_ = 0;
-        camera = 0;
+        center_ = nullptr;
+        figure_ = nullptr;
+        camera = nullptr;
         setHUDTemplate("JumpHUD");
     }
@@ -270,5 +270,5 @@
     void Jump::cleanup()
     {
-        camera = 0;
+        camera = nullptr;
     }
 
@@ -340,5 +340,5 @@
         else
         {
-            return 0;
+            return nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/modules/jump/JumpEnemy.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpEnemy.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/jump/JumpEnemy.cc	(revision 10768)
@@ -51,5 +51,5 @@
 
         dead_ = false;
-        figure_ = 0;
+        figure_ = nullptr;
         width_ = 0.0;
         height_ = 0.0;
Index: code/branches/cpp11_v2/src/modules/jump/JumpItem.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpItem.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/jump/JumpItem.cc	(revision 10768)
@@ -48,5 +48,5 @@
         attachedToFigure_ = false;
 
-        figure_ = 0;
+        figure_ = nullptr;
         height_ = 0.0;
         width_ = 0.0;
Index: code/branches/cpp11_v2/src/modules/jump/JumpPlatform.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpPlatform.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/jump/JumpPlatform.cc	(revision 10768)
@@ -48,5 +48,5 @@
         RegisterObject(JumpPlatform);
 
-        figure_ = 0;
+        figure_ = nullptr;
 
         setPosition(Vector3(0,0,0));
Index: code/branches/cpp11_v2/src/modules/jump/JumpProjectile.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpProjectile.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/jump/JumpProjectile.cc	(revision 10768)
@@ -47,5 +47,5 @@
         RegisterObject(JumpProjectile);
 
-        figure_ = 0;
+        figure_ = nullptr;
         setPosition(Vector3(0,0,0));
         setVelocity(Vector3(0,0,250.0));
Index: code/branches/cpp11_v2/src/modules/jump/JumpSpring.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/jump/JumpSpring.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/jump/JumpSpring.cc	(revision 10768)
@@ -100,5 +100,5 @@
     void JumpSpring::accelerateFigure()
     {
-        if (figure_ != 0)
+        if (figure_ != nullptr)
         {
             figure_->JumpFromSpring(this);
Index: code/branches/cpp11_v2/src/modules/mini4dgame/Mini4Dgame.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/mini4dgame/Mini4Dgame.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/mini4dgame/Mini4Dgame.cc	(revision 10768)
@@ -66,5 +66,5 @@
         RegisterObject(Mini4Dgame);
 
-        this->board_ = 0;
+        this->board_ = nullptr;
 
         // Set the type of Bots for this particular Gametype.
@@ -91,5 +91,5 @@
         {
             //this->board_->destroy();
-            this->board_ = 0;
+            this->board_ = nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/modules/mini4dgame/Mini4DgameAI.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/mini4dgame/Mini4DgameAI.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/mini4dgame/Mini4DgameAI.cc	(revision 10768)
@@ -60,5 +60,5 @@
 
         this->setConfigValues();
-        this->center_ = 0;
+        this->center_ = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/modules/mini4dgame/Mini4DgameBoard.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/mini4dgame/Mini4DgameBoard.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/mini4dgame/Mini4DgameBoard.cc	(revision 10768)
@@ -64,5 +64,5 @@
                     for(int l=0;l<4;l++){
                         this->board[i][j][k][l]=mini4DgamePlayerColor::none;
-                        this->blinkingBillboards[i][j][k][l] = 0;
+                        this->blinkingBillboards[i][j][k][l] = nullptr;
                     }
                 }
@@ -97,5 +97,5 @@
         this->board[move.x][move.y][move.z][move.w] = mini4DgamePlayerColor::none;
         this->blinkingBillboards[move.x][move.y][move.z][move.w]->destroy();
-        this->blinkingBillboards[move.x][move.y][move.z][move.w] = 0;
+        this->blinkingBillboards[move.x][move.y][move.z][move.w] = nullptr;
         if(player_toggle_){
             this->player_toggle_ = false;
Index: code/branches/cpp11_v2/src/modules/objects/Attacher.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/objects/Attacher.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/objects/Attacher.cc	(revision 10768)
@@ -40,5 +40,5 @@
         RegisterObject(Attacher);
 
-        this->target_ = 0;
+        this->target_ = nullptr;
     }
 
@@ -90,5 +90,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -96,5 +96,5 @@
     {
         this->targetname_ = target;
-        this->target_ = 0;
+        this->target_ = nullptr;
 
         if (this->targetname_.empty())
Index: code/branches/cpp11_v2/src/modules/objects/controllers/TurretController.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/objects/controllers/TurretController.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/objects/controllers/TurretController.cc	(revision 10768)
@@ -81,5 +81,5 @@
         {
             this->forgetTarget();
-            turret->setTarget(0);
+            turret->setTarget(nullptr);
         }
 
@@ -99,5 +99,5 @@
         float minScore = FLT_MAX;
         float tempScore;
-        Pawn* minScorePawn = 0;
+        Pawn* minScorePawn = nullptr;
 
         for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it != ObjectList<Pawn>::end(); ++it)
Index: code/branches/cpp11_v2/src/modules/objects/eventsystem/EventDispatcher.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/objects/eventsystem/EventDispatcher.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/objects/eventsystem/EventDispatcher.cc	(revision 10768)
@@ -79,5 +79,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 }
Index: code/branches/cpp11_v2/src/modules/objects/eventsystem/EventFilter.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/objects/eventsystem/EventFilter.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/objects/eventsystem/EventFilter.cc	(revision 10768)
@@ -102,5 +102,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -119,5 +119,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 }
Index: code/branches/cpp11_v2/src/modules/overlays/hud/AnnounceMessage.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/AnnounceMessage.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/AnnounceMessage.cc	(revision 10768)
@@ -40,5 +40,5 @@
         RegisterObject(AnnounceMessage);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
 
         this->setDelay(3.0f);
Index: code/branches/cpp11_v2/src/modules/overlays/hud/CountDown.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/CountDown.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/CountDown.cc	(revision 10768)
@@ -71,5 +71,5 @@
         RegisterObject(CountDown);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
         this->hasStopped_ = false;
     }
Index: code/branches/cpp11_v2/src/modules/overlays/hud/DeathMessage.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/DeathMessage.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/DeathMessage.cc	(revision 10768)
@@ -40,5 +40,5 @@
         RegisterObject(DeathMessage);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
 
         this->setDelay(2.0f);
Index: code/branches/cpp11_v2/src/modules/overlays/hud/GametypeFadingMessage.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/GametypeFadingMessage.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/GametypeFadingMessage.cc	(revision 10768)
@@ -40,5 +40,5 @@
         RegisterObject(GametypeFadingMessage);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
         this->setDelay(2.0f);
         this->setFadeouttime(0.5f);
Index: code/branches/cpp11_v2/src/modules/overlays/hud/GametypeStaticMessage.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/GametypeStaticMessage.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/GametypeStaticMessage.cc	(revision 10768)
@@ -42,5 +42,5 @@
     {
         RegisterObject(GametypeStaticMessage);
-        this->owner_ = 0;
+        this->owner_ = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDBar.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDBar.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDBar.cc	(revision 10768)
@@ -191,5 +191,5 @@
             return barColours_[index];
         else
-            return 0;
+            return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDBoostBar.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDBoostBar.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDBoostBar.cc	(revision 10768)
@@ -42,5 +42,5 @@
         RegisterObject(HUDBoostBar);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
         this->flashInterval_ = 0.25f;
         this->flashDt_ = 0.0f;
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDEnemyHealthBar.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDEnemyHealthBar.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDEnemyHealthBar.cc	(revision 10768)
@@ -41,5 +41,5 @@
 
         this->setConfigValues();
-        this->owner_ = 0;
+        this->owner_ = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDHealthBar.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDHealthBar.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDHealthBar.cc	(revision 10768)
@@ -43,5 +43,5 @@
         RegisterObject(HUDHealthBar);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
         this->bUseBarColour_ = false;
 
@@ -58,5 +58,5 @@
         {
             this->textoverlay_->destroy();
-            this->textoverlay_ = 0;
+            this->textoverlay_ = nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc	(revision 10768)
@@ -69,5 +69,5 @@
     RegisterClass ( HUDNavigation );
 
-    HUDNavigation* HUDNavigation::localHUD_s = 0;
+    HUDNavigation* HUDNavigation::localHUD_s = nullptr;
 
     HUDNavigation::HUDNavigation(Context* context) :
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.cc	(revision 10768)
@@ -68,5 +68,5 @@
         this->shapeMaterials_[RadarViewable::Triangle] = "RadarTriangle.png";
         this->shapeMaterials_[RadarViewable::Square]   = "RadarSquare.png";
-        this->owner_ = 0;
+        this->owner_ = nullptr;
 
         this->map3DFront_ = static_cast<Ogre::PanelOverlayElement*>(Ogre::OverlayManager::getSingleton()
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDSpeedBar.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDSpeedBar.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDSpeedBar.cc	(revision 10768)
@@ -43,5 +43,5 @@
         RegisterObject(HUDSpeedBar);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDTimer.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDTimer.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDTimer.cc	(revision 10768)
@@ -42,5 +42,5 @@
         RegisterObject(HUDTimer);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/modules/overlays/hud/KillMessage.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/KillMessage.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/KillMessage.cc	(revision 10768)
@@ -40,5 +40,5 @@
         RegisterObject(KillMessage);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
 
         this->setDelay(2.0f);
Index: code/branches/cpp11_v2/src/modules/overlays/hud/LastManStandingInfos.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/LastManStandingInfos.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/LastManStandingInfos.cc	(revision 10768)
@@ -43,6 +43,6 @@
         RegisterObject(LastManStandingInfos);
 
-        this->lms_ = 0;
-        this->player_ = 0;
+        this->lms_ = nullptr;
+        this->player_ = nullptr;
         this->bShowLives_ = false;
         this->bShowPlayers_ = false;
@@ -91,6 +91,6 @@
         else
         {
-            this->player_ = 0;
-            this->lms_ = 0;
+            this->player_ = nullptr;
+            this->lms_ = nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/modules/overlays/hud/LastTeamStandingInfos.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/LastTeamStandingInfos.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/LastTeamStandingInfos.cc	(revision 10768)
@@ -43,6 +43,6 @@
         RegisterObject(LastTeamStandingInfos);
 
-        this->lts_ = 0;
-        this->player_ = 0;
+        this->lts_ = nullptr;
+        this->player_ = nullptr;
         this->bShowLives_ = false;
         this->bShowTeams_ = false;
@@ -91,6 +91,6 @@
         else
         {
-            this->player_ = 0;
-            this->lts_ = 0;
+            this->player_ = nullptr;
+            this->lts_ = nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/modules/overlays/hud/PauseNotice.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/PauseNotice.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/PauseNotice.cc	(revision 10768)
@@ -40,5 +40,5 @@
         RegisterObject(PauseNotice);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/modules/overlays/hud/TeamBaseMatchScore.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/TeamBaseMatchScore.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/TeamBaseMatchScore.cc	(revision 10768)
@@ -43,5 +43,5 @@
         RegisterObject(TeamBaseMatchScore);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
 
         this->bShowBases_ = false;
@@ -120,5 +120,5 @@
             this->owner_ = orxonox_cast<TeamBaseMatch*>(this->getOwner()->getGametype());
         else
-            this->owner_ = 0;
+            this->owner_ = nullptr;
     }
 }
Index: code/branches/cpp11_v2/src/modules/overlays/stats/CreateLines.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/stats/CreateLines.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/stats/CreateLines.cc	(revision 10768)
@@ -37,20 +37,20 @@
     CreateLines::CreateLines(float leftOffset, float topOffset, float width, float height)
     {
-        playerNameText_ = new OverlayText(0);
+        playerNameText_ = new OverlayText(nullptr);
         playerNameText_->setTextSize(0.04f);
         playerNameText_->setColour(ColourValue(0.0f, 0.75f, 0.2f, 1.0f));
         playerNameText_->setPosition(Vector2(0.1f, topOffset + 0.01f));
 
-        scoreText_ = new OverlayText(0);
+        scoreText_ = new OverlayText(nullptr);
         scoreText_->setTextSize(0.04f);
         scoreText_->setColour(ColourValue(0.0f, 0.75f, 0.2f, 1.0f));
         scoreText_->setPosition(Vector2(0.6f, topOffset + 0.01f));
 
-        deathsText_ = new OverlayText(0);
+        deathsText_ = new OverlayText(nullptr);
         deathsText_->setTextSize(0.04f);
         deathsText_->setColour(ColourValue(0, 0.75f, 0.2f, 1.0f));
         deathsText_->setPosition(Vector2(0.8f, topOffset + 0.01f));
 
-        background_ = new Stats(0);
+        background_ = new Stats(nullptr);
         background_->setPosition(Vector2(leftOffset, topOffset));
         background_->setSize(Vector2(width, height));
Index: code/branches/cpp11_v2/src/modules/overlays/stats/Stats.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/stats/Stats.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/overlays/stats/Stats.cc	(revision 10768)
@@ -46,6 +46,6 @@
     Stats::Stats(Context* context)
         : OrxonoxOverlay(context)
-        , statsOverlayNoise_(0)
-        , statsOverlayBorder_(0)
+        , statsOverlayNoise_(nullptr)
+        , statsOverlayBorder_(nullptr)
     {
         RegisterObject(Stats);
Index: code/branches/cpp11_v2/src/modules/pong/Pong.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/pong/Pong.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/pong/Pong.cc	(revision 10768)
@@ -64,8 +64,8 @@
         RegisterObject(Pong);
 
-        this->center_ = 0;
-        this->ball_ = 0;
-        this->bat_[0] = 0;
-        this->bat_[1] = 0;
+        this->center_ = nullptr;
+        this->ball_ = nullptr;
+        this->bat_[0] = nullptr;
+        this->bat_[1] = nullptr;
 
         this->setHUDTemplate("PongHUD");
@@ -106,5 +106,5 @@
         {
             this->ball_->destroy();
-            this->ball_ = 0;
+            this->ball_ = nullptr;
         }
 
@@ -115,5 +115,5 @@
             {
                 this->bat_[0]->destroy();
-                this->bat_[0] = 0;
+                this->bat_[0] = nullptr;
             }
         }
@@ -329,5 +329,5 @@
             return this->bat_[0]->getPlayer();
         else
-            return 0;
+            return nullptr;
     }
 
@@ -343,5 +343,5 @@
             return this->bat_[1]->getPlayer();
         else
-            return 0;
+            return nullptr;
     }
 }
Index: code/branches/cpp11_v2/src/modules/pong/PongAI.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/pong/PongAI.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/pong/PongAI.cc	(revision 10768)
@@ -57,5 +57,5 @@
         RegisterObject(PongAI);
 
-        this->ball_ = 0;
+        this->ball_ = nullptr;
         this->ballDirection_ = Vector2::ZERO;
         this->ballEndPosition_ = 0;
Index: code/branches/cpp11_v2/src/modules/pong/PongBall.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/pong/PongBall.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/pong/PongBall.cc	(revision 10768)
@@ -61,5 +61,5 @@
         this->speed_ = 0;
         this->accelerationFactor_ = 1.0f;
-        this->bat_ = 0;
+        this->bat_ = nullptr;
         this->bDeleteBats_ = false;
         this->batID_ = new unsigned int[2];
@@ -82,7 +82,7 @@
              else
              {
-                 this->defScoreSound_ = 0;
-                 this->defBatSound_ = 0;
-                 this->defBoundarySound_ = 0;
+                 this->defScoreSound_ = nullptr;
+                 this->defBatSound_ = nullptr;
+                 this->defBoundarySound_ = nullptr;
              }
     }
Index: code/branches/cpp11_v2/src/modules/pong/PongScore.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/pong/PongScore.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/pong/PongScore.cc	(revision 10768)
@@ -55,5 +55,5 @@
         RegisterObject(PongScore);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
 
         this->bShowName_ = false;
@@ -172,5 +172,5 @@
             this->owner_ = orxonox_cast<Pong*>(this->getOwner()->getGametype());
         else
-            this->owner_ = 0;
+            this->owner_ = nullptr;
     }
 }
Index: code/branches/cpp11_v2/src/modules/portals/PortalEndPoint.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/portals/PortalEndPoint.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/portals/PortalEndPoint.cc	(revision 10768)
@@ -106,9 +106,9 @@
 
         MultiTriggerContainer * cont = orxonox_cast<MultiTriggerContainer *>(trigger);
-        if(cont == 0)
+        if(cont == nullptr)
             return true;
 
         DistanceMultiTrigger * originatingTrigger = orxonox_cast<DistanceMultiTrigger *>(cont->getOriginator());
-        if(originatingTrigger == 0)
+        if(originatingTrigger == nullptr)
         {
             return true;
@@ -116,5 +116,5 @@
 
         MobileEntity * entity = orxonox_cast<MobileEntity *>(cont->getData());
-        if(entity == 0)
+        if(entity == nullptr)
             return true;
 
Index: code/branches/cpp11_v2/src/modules/portals/PortalLink.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/portals/PortalLink.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/portals/PortalLink.cc	(revision 10768)
@@ -40,5 +40,5 @@
     std::map<PortalEndPoint *, PortalEndPoint *> PortalLink::links_s;
 
-    PortalLink::PortalLink(Context* context) : BaseObject(context), fromID_(0), toID_(0), from_(0), to_(0)
+    PortalLink::PortalLink(Context* context) : BaseObject(context), fromID_(0), toID_(0), from_(nullptr), to_(nullptr)
     {
         RegisterObject(PortalLink);
@@ -67,5 +67,5 @@
     void PortalLink::use(MobileEntity* entity, PortalEndPoint * entrance)
     {
-        if(entrance == 0)
+        if(entrance == nullptr)
             return;
 
Index: code/branches/cpp11_v2/src/modules/tetris/Tetris.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/tetris/Tetris.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/tetris/Tetris.cc	(revision 10768)
@@ -66,5 +66,5 @@
         RegisterObject(Tetris);
 
-        this->activeBrick_ = 0;
+        this->activeBrick_ = nullptr;
 
         // Pre-set the timer, but don't start it yet.
@@ -74,5 +74,5 @@
         this->player_ = nullptr;
         this->setHUDTemplate("TetrisHUD");
-        this->futureBrick_ = 0;
+        this->futureBrick_ = nullptr;
     }
 
@@ -96,10 +96,10 @@
         {
             this->activeBrick_->destroy();
-            this->activeBrick_ = 0;
+            this->activeBrick_ = nullptr;
         }
         if (this->futureBrick_)
         {
             this->futureBrick_->destroy();
-            this->futureBrick_ = 0;
+            this->futureBrick_ = nullptr;
         }
 
@@ -396,5 +396,5 @@
         // Make the last brick to be created the active brick.
         this->activeBrick_ = this->futureBrick_;
-        this->futureBrick_ = 0;
+        this->futureBrick_ = nullptr;
 
         // set its position
Index: code/branches/cpp11_v2/src/modules/tetris/TetrisScore.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/tetris/TetrisScore.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/tetris/TetrisScore.cc	(revision 10768)
@@ -56,5 +56,5 @@
         RegisterObject(TetrisScore);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
         this->player_ = nullptr;
     }
@@ -120,5 +120,5 @@
             this->owner_ = orxonox_cast<Tetris*>(this->getOwner()->getGametype());
         else
-            this->owner_ = 0;
+            this->owner_ = nullptr;
     }
 }
Index: code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseHUDController.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseHUDController.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseHUDController.cc	(revision 10768)
@@ -39,5 +39,5 @@
     {
         RegisterObject(TowerDefenseHUDController);
-        this->td = 0;
+        this->td = nullptr;
     }
 
@@ -89,5 +89,5 @@
                     else
                     {
-                        this->td = 0;
+                        this->td = nullptr;
                     }
                 }
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/ParticleProjectile.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/ParticleProjectile.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/ParticleProjectile.cc	(revision 10768)
@@ -58,5 +58,5 @@
         }
         else
-            this->particles_ = 0;
+            this->particles_ = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/Rocket.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/Rocket.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/Rocket.cc	(revision 10768)
@@ -117,6 +117,6 @@
         else
         {
-            this->defSndWpnEngine_ = 0;
-            this->defSndWpnLaunch_ = 0;
+            this->defSndWpnEngine_ = nullptr;
+            this->defSndWpnLaunch_ = nullptr;
         }
 
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.cc	(revision 10768)
@@ -117,6 +117,6 @@
         else
         {
-            this->defSndWpnEngine_ = 0;
-            this->defSndWpnLaunch_ = 0;
+            this->defSndWpnEngine_ = nullptr;
+            this->defSndWpnLaunch_ = nullptr;
         }
 