Index: /branches/presentation/src/lib/lang/base_object.cc
===================================================================
--- /branches/presentation/src/lib/lang/base_object.cc	(revision 10771)
+++ /branches/presentation/src/lib/lang/base_object.cc	(revision 10772)
@@ -33,6 +33,4 @@
   this->xmlElem = NULL;
   this->registerObject(this, BaseObject::_objectList);
-
-  srand(time(0));   //initialize Random Nomber Generator
 }
 
@@ -47,6 +45,4 @@
   this->xmlElem = (bo.xmlElem)? bo.xmlElem->Clone() : NULL;
   this->registerObject( this, BaseObject::_objectList);
-
-//   srand(time(0));   //initialize Random Nomber Generator
 }
 
Index: /branches/presentation/src/world_entities/WorldEntities.am
===================================================================
--- /branches/presentation/src/world_entities/WorldEntities.am	(revision 10771)
+++ /branches/presentation/src/world_entities/WorldEntities.am	(revision 10772)
Index: /branches/presentation/src/world_entities/space_ships/space_ship.cc
===================================================================
--- /branches/presentation/src/world_entities/space_ships/space_ship.cc	(revision 10771)
+++ /branches/presentation/src/world_entities/space_ships/space_ship.cc	(revision 10772)
@@ -24,5 +24,4 @@
 #include "world_entities/weapons/weapon_manager.h"
 
-#include "weapons/test_gun.h"
 #include "weapons/light_blaster.h"
 #include "weapons/medium_blaster.h"
@@ -34,7 +33,4 @@
 #include "weapons/spike_thrower.h"
 #include "weapons/acid_launcher.h"
-#include "weapons/boomerang_gun.h"
-#include "weapons/turret.h"
-#include "weapons/cannon.h"
 
 #include "elements/glgui_energywidgetvertical.h"
Index: /branches/presentation/src/world_entities/weapons/disruptor.cc
===================================================================
--- /branches/presentation/src/world_entities/weapons/disruptor.cc	(revision 10771)
+++ /branches/presentation/src/world_entities/weapons/disruptor.cc	(revision 10772)
@@ -92,6 +92,6 @@
   this->setEmissionPoint(Vector(1.672, 0.0, 0.0) * this->getScaling());
 
-  this->getShootAnim(0, 0)->addKeyFrame(Vector(0.0, 0.0, 0.0) * this->getScaling(), Quaternion(), 0.1, ANIM_LINEAR, ANIM_NULL);
-  this->getShootAnim(0, 0)->addKeyFrame(Vector(-0.5, 0.0, 0.0) * this->getScaling(), Quaternion(), 0.2, ANIM_LINEAR, ANIM_NULL);
+  this->getShootAnim(0, 0)->addKeyFrame(Vector(0.0, 0.0, 0.0) * this->getScaling(), Quaternion(), 0.033, ANIM_LINEAR, ANIM_NULL);
+  this->getShootAnim(0, 0)->addKeyFrame(Vector(-0.5, 0.0, 0.0) * this->getScaling(), Quaternion(), 0.3, ANIM_LINEAR, ANIM_NULL);
 //   this->shootAnim[0][0]->addKeyFrame(Vector(0.0, 0.0, 0.0) * this->getScaling(), Quaternion(), 0.1, ANIM_LINEAR, ANIM_NULL);
 
Index: /branches/presentation/src/world_entities/weapons/light_blaster.cc
===================================================================
--- /branches/presentation/src/world_entities/weapons/light_blaster.cc	(revision 10771)
+++ /branches/presentation/src/world_entities/weapons/light_blaster.cc	(revision 10772)
@@ -84,5 +84,5 @@
 
   this->setBarrels(3);
-  this->setSegs(1); //could be left out
+//   this->setSegs(1); //could be left out
 
   this->setEmissionPoint(Vector(2.2, 0.0, 0.1), 0);
Index: /branches/presentation/src/world_entities/weapons/nadion_laser.cc
===================================================================
--- /branches/presentation/src/world_entities/weapons/nadion_laser.cc	(revision 10771)
+++ /branches/presentation/src/world_entities/weapons/nadion_laser.cc	(revision 10772)
@@ -86,6 +86,6 @@
 
 
-  this->setBarrels(1); // could be left out
-  this->setSegs(1);    // could be left out
+//   this->setBarrels(1); // could be left out
+//   this->setSegs(1);    // could be left out
 
   this->setEmissionPoint(Vector(1.680, 0.0, 0.0) * this->getScaling());
Index: /branches/presentation/src/world_entities/weapons/rf_cannon.cc
===================================================================
--- /branches/presentation/src/world_entities/weapons/rf_cannon.cc	(revision 10771)
+++ /branches/presentation/src/world_entities/weapons/rf_cannon.cc	(revision 10772)
@@ -85,5 +85,5 @@
 
   this->setBarrels(4);
-  this->setSegs(1);
+//   this->setSegs(1);
   this->setActiveBarrel(rand() % 4);
 
Index: /branches/presentation/src/world_entities/weapons/weapon.cc
===================================================================
--- /branches/presentation/src/world_entities/weapons/weapon.cc	(revision 10771)
+++ /branches/presentation/src/world_entities/weapons/weapon.cc	(revision 10772)
@@ -12,5 +12,5 @@
 ### File Specific
    main-programmer: Patrick Boenzli
-   co-programmer: Benjamin Grauer
+   co-programmer: Benjamin Grauer, Nicolas Schlumberger
 
    2005-07-15: Benjamin Grauer: restructurating the entire Class
@@ -63,4 +63,5 @@
     delete this->soundSource;
 
+//!< PNode must not be deleted, gc takes care of.
 //   for (int i = 0; i < MAX_BARRELS; i++)
 //   {
@@ -132,6 +133,6 @@
 
   this->barrels = 1;  // just to have an initial value
-  this->segs = 1;
-  this->activeBarrel = 0;
+  this->segs = 0;     // by default there are no movable parts
+  this->activeBarrel = 0; //array wize, 0 means first barrel
 
   this->preferedSide = -1;
@@ -163,10 +164,10 @@
   this->maxCharge = 1.0;                           //< The maximum charge is also one unit.
 
-  this->energy = 10.0;                               //< The secondary Buffer (before we have to reload)
+  this->energy = 10.0;                             //< The secondary Buffer (before we have to reload)
   this->energyMax = 10.0;                          //< How much energy can be carried
   this->capability = WTYPE_ALL;                    //< The Weapon has all capabilities @see W_Capability.
 
   this->energyWidget = NULL;
-  isEnergyWidgetInitialized = false;
+  isEnergyWidgetInitialized = false;               // FIXME, needs to be cleaned
 
   // set this object to be synchronized over network
Index: /branches/presentation/src/world_entities/weapons/weapon.h
===================================================================
--- /branches/presentation/src/world_entities/weapons/weapon.h	(revision 10771)
+++ /branches/presentation/src/world_entities/weapons/weapon.h	(revision 10772)
@@ -193,8 +193,4 @@
 
     Animation3D* getShootAnim(int barrel, int seg) { return this->shootAnim[barrel][seg]; };
-//     void setShootAnim(int barrel, int seg, PNode* component) { this->shootAnim[barrel][seg] = this->getAnimation(barrel, seg, component); };
-
-//     void init2();
-//     void deconstr();
 
     inline int getPreferedSide() { return this->preferedSide; }
@@ -203,4 +199,5 @@
     inline void setEnergyWidgetInitialized(bool b) {this->isEnergyWidgetInitialized = b;};
 
+    //some functions for conveneance
     inline const Vector& getObjComp(int barrel, int seg) const { return this->objComp[barrel][seg]->getAbsCoor(); };
     inline const float getObjCompx(int barrel, int seg) const { return this->objComp[barrel][seg]->getAbsCoor().x; };
@@ -259,6 +256,4 @@
     float                maxCharge;                        //!< The maximal energy to be loaded onto one projectile (this is only availible if chargeable is enabled)
 
-    //OrxGui::GLGuiEnergyWidgetVertical* energyWidget;
-
     PNode*               defaultTarget;                    //!< A target for targeting Weapons.
 
@@ -277,5 +272,5 @@
     OrxSound::SoundBuffer  soundBuffers[WA_ACTION_COUNT];   //!< SoundBuffers for all actions @see WeaponAction.
 
-    PNode*                 emissionPoint[MAX_BARRELS];                   //!< The point, where the projectiles are emitted. (this is coppled with the Weapon by default)
+    PNode*                 emissionPoint[MAX_BARRELS];      //!< The point, where the projectiles are emitted.
 
     bool                   hideInactive;                    //!< Hides the Weapon if it is inactive
@@ -287,5 +282,5 @@
     int                    barrels;                         //!< # of barrels (max 4)
     int                    segs;                            //!< # of segments, one barrel has (max 3)
-    int                    activeBarrel;
+    int                    activeBarrel;                    //!< set # of active barrel, count array wise (aka. 0 is the first)
     Animation3D*           shootAnim[MAX_BARRELS][MAX_SEGMENTS];
     PNode*                 objComp[MAX_BARRELS][MAX_SEGMENTS];