Index: /code/branches/cpp11_v2/src/libraries/core/class/Identifier.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/class/Identifier.h	(revision 10773)
+++ /code/branches/cpp11_v2/src/libraries/core/class/Identifier.h	(revision 10774)
@@ -80,6 +80,4 @@
 #include <typeinfo>
 #include <loki/TypeTraits.h>
-#include <boost/static_assert.hpp>
-#include <boost/type_traits/is_base_of.hpp>
 
 #include "util/Output.h"
@@ -269,5 +267,5 @@
     class ClassIdentifier : public Identifier
     {
-        BOOST_STATIC_ASSERT((boost::is_base_of<Identifiable, T>::value));
+        static_assert(std::is_base_of<Identifiable, T>::value, "ClassIdentifier can only be used with Identifiables");
 
         #ifndef DOXYGEN_SHOULD_SKIP_THIS
Index: /code/branches/cpp11_v2/src/libraries/core/object/IteratorBase.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/IteratorBase.h	(revision 10773)
+++ /code/branches/cpp11_v2/src/libraries/core/object/IteratorBase.h	(revision 10774)
@@ -37,7 +37,4 @@
 
 #include "core/CorePrereqs.h"
-
-#include <boost/static_assert.hpp>
-#include <boost/type_traits/is_base_of.hpp>
 
 #include "ObjectListBase.h"
@@ -52,5 +49,5 @@
     class IteratorBase : public ObjectListElementRemovalListener
     {
-        BOOST_STATIC_ASSERT((boost::is_base_of<Listable, T>::value));
+        static_assert(std::is_base_of<Listable, T>::value, "IteratorBase can only be used with Listables");
 
         public:
Index: /code/branches/cpp11_v2/src/libraries/core/object/ObjectList.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/ObjectList.h	(revision 10773)
+++ /code/branches/cpp11_v2/src/libraries/core/object/ObjectList.h	(revision 10774)
@@ -47,7 +47,4 @@
 #include "core/CorePrereqs.h"
 
-#include <boost/static_assert.hpp>
-#include <boost/type_traits/is_base_of.hpp>
-
 #include "ObjectListBase.h"
 #include "ObjectListIterator.h"
@@ -69,5 +66,5 @@
     class ObjectList
     {
-        BOOST_STATIC_ASSERT((boost::is_base_of<Listable, T>::value));
+        static_assert(std::is_base_of<Listable, T>::value, "ObjectList can only be used with Listables");
 
         public:
Index: /code/branches/cpp11_v2/src/libraries/network/Connection.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/Connection.h	(revision 10773)
+++ /code/branches/cpp11_v2/src/libraries/network/Connection.h	(revision 10774)
@@ -46,5 +46,4 @@
 #include <map>
 #include <enet/enet.h>
-#include <boost/concept_check.hpp>
 
 namespace boost
Index: /code/branches/cpp11_v2/src/libraries/network/GamestateManager.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/GamestateManager.h	(revision 10773)
+++ /code/branches/cpp11_v2/src/libraries/network/GamestateManager.h	(revision 10774)
@@ -47,5 +47,4 @@
 #include "core/CorePrereqs.h"
 #include "packet/Gamestate.h"
-#include <boost/concept_check.hpp>
 
 namespace orxonox
Index: /code/branches/cpp11_v2/src/libraries/network/NetworkFunctionIncludes.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/NetworkFunctionIncludes.h	(revision 10773)
+++ /code/branches/cpp11_v2/src/libraries/network/NetworkFunctionIncludes.h	(revision 10774)
@@ -33,5 +33,4 @@
 
 #include <boost/preprocessor/cat.hpp>
-#include <boost/static_assert.hpp>
 
 #include "NetworkFunction.h"
@@ -72,5 +71,5 @@
     inline NetworkFunctionBase* registerStaticNetworkFunctionFct(PT ptr, const std::string& name)
     {
-        BOOST_STATIC_ASSERT(sizeof(PT) <= sizeof(NetworkFunctionPointer)); // if this fails your compiler uses bigger pointers for static functions than defined above
+        static_assert(sizeof(PT) <= sizeof(NetworkFunctionPointer), "check pointer size"); // if this fails your compiler uses bigger pointers for static functions than defined above
         NetworkFunctionPointer destptr;
         copyPtr(ptr, destptr);
@@ -81,5 +80,5 @@
     inline NetworkFunctionBase* registerMemberNetworkFunctionFct(PT ptr, const std::string& name)
     {
-        BOOST_STATIC_ASSERT(sizeof(PT) <= sizeof(NetworkFunctionPointer)); // if this fails your compiler uses bigger pointers for a specific kind of member functions than defined above
+        static_assert(sizeof(PT) <= sizeof(NetworkFunctionPointer), "check pointer size"); // if this fails your compiler uses bigger pointers for a specific kind of member functions than defined above
         NetworkFunctionPointer destptr;
         copyPtr(ptr, destptr);
Index: /code/branches/cpp11_v2/src/libraries/network/packet/Packet.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/packet/Packet.cc	(revision 10773)
+++ /code/branches/cpp11_v2/src/libraries/network/packet/Packet.cc	(revision 10774)
@@ -34,5 +34,4 @@
 #define WIN32_LEAN_AND_MEAN
 #include <enet/enet.h>
-#include <boost/static_assert.hpp>
 #include <boost/thread/mutex.hpp>
 
@@ -54,7 +53,7 @@
 
 // Make sure we assume the right values
-BOOST_STATIC_ASSERT(static_cast<int>(PacketFlag::Reliable)    == static_cast<int>(ENET_PACKET_FLAG_RELIABLE));
-BOOST_STATIC_ASSERT(static_cast<int>(PacketFlag::Unsequenced) == static_cast<int>(ENET_PACKET_FLAG_UNSEQUENCED));
-BOOST_STATIC_ASSERT(static_cast<int>(PacketFlag::NoAllocate)  == static_cast<int>(ENET_PACKET_FLAG_NO_ALLOCATE));
+static_assert(static_cast<int>(PacketFlag::Reliable)    == static_cast<int>(ENET_PACKET_FLAG_RELIABLE),    "check enum");
+static_assert(static_cast<int>(PacketFlag::Unsequenced) == static_cast<int>(ENET_PACKET_FLAG_UNSEQUENCED), "check enum");
+static_assert(static_cast<int>(PacketFlag::NoAllocate)  == static_cast<int>(ENET_PACKET_FLAG_NO_ALLOCATE), "check enum");
 
 #define PACKET_FLAG_DEFAULT PacketFlag::NoAllocate
Index: /code/branches/cpp11_v2/src/modules/overlays/OverlayText.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/OverlayText.cc	(revision 10773)
+++ /code/branches/cpp11_v2/src/modules/overlays/OverlayText.cc	(revision 10774)
@@ -32,5 +32,4 @@
 #include <OgrePanelOverlayElement.h>
 #include <OgreTextAreaOverlayElement.h>
-#include <boost/static_assert.hpp>
 
 #include "util/StringUtils.h"
@@ -43,7 +42,7 @@
     RegisterClass(OverlayText);
 
-    BOOST_STATIC_ASSERT((int)Ogre::TextAreaOverlayElement::Left   == (int)OverlayText::Left);
-    BOOST_STATIC_ASSERT((int)Ogre::TextAreaOverlayElement::Center == (int)OverlayText::Center);
-    BOOST_STATIC_ASSERT((int)Ogre::TextAreaOverlayElement::Right  == (int)OverlayText::Right);
+    static_assert((int)Ogre::TextAreaOverlayElement::Left   == (int)OverlayText::Left,   "check enum");
+    static_assert((int)Ogre::TextAreaOverlayElement::Center == (int)OverlayText::Center, "check enum");
+    static_assert((int)Ogre::TextAreaOverlayElement::Right  == (int)OverlayText::Right,  "check enum");
 
     OverlayText::OverlayText(Context* context)
Index: /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc	(revision 10773)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc	(revision 10774)
@@ -53,5 +53,4 @@
 #include "core/config/ConfigValueIncludes.h"
 #include "tools/TextureGenerator.h"
-// #include <boost/bind/bind_template.hpp>
 
 
Index: /code/branches/cpp11_v2/src/orxonox/graphics/Light.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/graphics/Light.cc	(revision 10773)
+++ /code/branches/cpp11_v2/src/orxonox/graphics/Light.cc	(revision 10774)
@@ -31,5 +31,4 @@
 #include <OgreSceneManager.h>
 #include <OgreLight.h>
-#include <boost/static_assert.hpp>
 
 #include "util/StringUtils.h"
@@ -45,7 +44,7 @@
 
     // Be sure we don't do bad conversions
-    BOOST_STATIC_ASSERT((int)Ogre::Light::LT_POINT       == (int)Light::Point);
-    BOOST_STATIC_ASSERT((int)Ogre::Light::LT_DIRECTIONAL == (int)Light::Directional);
-    BOOST_STATIC_ASSERT((int)Ogre::Light::LT_SPOTLIGHT   == (int)Light::Spotlight);
+    static_assert((int)Ogre::Light::LT_POINT       == (int)Light::Point,       "check enum");
+    static_assert((int)Ogre::Light::LT_DIRECTIONAL == (int)Light::Directional, "check enum");
+    static_assert((int)Ogre::Light::LT_SPOTLIGHT   == (int)Light::Spotlight,   "check enum");
 
     Light::Light(Context* context) : StaticEntity(context)
Index: /code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc	(revision 10773)
+++ /code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc	(revision 10774)
@@ -37,5 +37,4 @@
 #include <OgreSceneNode.h>
 #include <BulletDynamics/Dynamics/btRigidBody.h>
-#include <boost/static_assert.hpp>
 
 #include "util/OrxAssert.h"
@@ -57,7 +56,7 @@
 
     // Be sure we don't do bad conversions
-    BOOST_STATIC_ASSERT((int)Ogre::Node::TS_LOCAL  == (int)WorldEntity::Local);
-    BOOST_STATIC_ASSERT((int)Ogre::Node::TS_PARENT == (int)WorldEntity::Parent);
-    BOOST_STATIC_ASSERT((int)Ogre::Node::TS_WORLD  == (int)WorldEntity::World);
+    static_assert((int)Ogre::Node::TS_LOCAL  == (int)WorldEntity::Local,  "check enum");
+    static_assert((int)Ogre::Node::TS_PARENT == (int)WorldEntity::Parent, "check enum");
+    static_assert((int)Ogre::Node::TS_WORLD  == (int)WorldEntity::World,  "check enum");
 
     RegisterAbstractClass(WorldEntity).inheritsFrom<BaseObject>().inheritsFrom<Synchronisable>();