Index: code/branches/cpp11_v2/src/external/cpptcl/cpptcl.h
===================================================================
--- code/branches/cpp11_v2/src/external/cpptcl/cpptcl.h	(revision 10771)
+++ code/branches/cpp11_v2/src/external/cpptcl/cpptcl.h	(revision 10775)
@@ -17,9 +17,10 @@
 #include <map>
 #include <vector>
-#include <boost/bind.hpp>
-
+#include <memory>
+#include <functional>
 
 namespace Tcl
 {
+namespace arg = std::placeholders;
 
 // exception class used for reporting all Tcl errors
Index: code/branches/cpp11_v2/src/external/cpptcl/details/methods.h
===================================================================
--- code/branches/cpp11_v2/src/external/cpptcl/details/methods.h	(revision 10771)
+++ code/branches/cpp11_v2/src/external/cpptcl/details/methods.h	(revision 10775)
@@ -27,9 +27,9 @@
           if (cmem_)
           {
-               dispatch<R>::do_dispatch(interp, boost::bind(cf_, p));
-          }
-          else
-          {
-               dispatch<R>::do_dispatch(interp, boost::bind(f_, p));
+               dispatch<R>::do_dispatch(interp, std::bind(cf_, p));
+          }
+          else
+          {
+               dispatch<R>::do_dispatch(interp, std::bind(f_, p));
           }
      }
@@ -60,5 +60,5 @@
           {
                dispatch<R>::template do_dispatch<T1>(
-                    interp, boost::bind(cf_, p, _1),
+                    interp, std::bind(cf_, p, arg::_1),
                     tcl_cast<T1>::from(interp, objv[2]));
           }
@@ -66,5 +66,5 @@
           {
                dispatch<R>::template do_dispatch<T1>(
-                    interp, boost::bind(f_, p, _1),
+                    interp, std::bind(f_, p, arg::_1),
                     tcl_cast<T1>::from(interp, objv[2]));
           }
@@ -96,5 +96,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2>(
-                    interp, boost::bind(cf_, p, _1, _2),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]));
@@ -103,5 +103,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2>(
-                    interp, boost::bind(f_, p, _1, _2),
+                    interp, std::bind(f_, p, arg::_1, arg::_2),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]));
@@ -134,5 +134,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3>(
-                    interp, boost::bind(cf_, p, _1, _2, _3),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -142,5 +142,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3>(
-                    interp, boost::bind(f_, p, _1, _2, _3),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -175,5 +175,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4>(
-                    interp, boost::bind(cf_, p, _1, _2, _3, _4),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3, arg::_4),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -184,5 +184,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4>(
-                    interp, boost::bind(f_, p, _1, _2, _3, _4),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3, arg::_4),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -218,5 +218,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5>(
-                    interp, boost::bind(cf_, p, _1, _2, _3, _4, _5),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -228,5 +228,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5>(
-                    interp, boost::bind(f_, p, _1, _2, _3, _4, _5),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -263,5 +263,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5, T6>(
-                    interp, boost::bind(cf_, p, _1, _2, _3, _4, _5, _6),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -274,5 +274,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5, T6>(
-                    interp, boost::bind(f_, p, _1, _2, _3, _4, _5, _6),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -310,5 +310,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5, T6, T7>(
-                    interp, boost::bind(cf_, p, _1, _2, _3, _4, _5, _6, _7),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -322,5 +322,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5, T6, T7>(
-                    interp, boost::bind(f_, p, _1, _2, _3, _4, _5, _6, _7),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -360,6 +360,6 @@
                dispatch<R>::template do_dispatch<
                     T1, T2, T3, T4, T5, T6, T7, T8>(
-                    interp, boost::bind(cf_, p,
-                         _1, _2, _3, _4, _5, _6, _7, _8),
+                    interp, std::bind(cf_, p,
+                         arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7, arg::_8),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -375,6 +375,6 @@
                dispatch<R>::template do_dispatch<
                     T1, T2, T3, T4, T5, T6, T7, T8>(
-                    interp, boost::bind(f_, p,
-                         _1, _2, _3, _4, _5, _6, _7, _8),
+                    interp, std::bind(f_, p,
+                         arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7, arg::_8),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -416,6 +416,6 @@
                dispatch<R>::template do_dispatch<
                     T1, T2, T3, T4, T5, T6, T7, T8, T9>(
-                    interp, boost::bind(cf_, p,
-                         _1, _2, _3, _4, _5, _6, _7, _8, _9),
+                    interp, std::bind(cf_, p,
+                         arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7, arg::_8, arg::_9),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -432,6 +432,6 @@
                dispatch<R>::template do_dispatch<
                     T1, T2, T3, T4, T5, T6, T7, T8, T9>(
-                    interp, boost::bind(f_, p,
-                         _1, _2, _3, _4, _5, _6, _7, _8, _9),
+                    interp, std::bind(f_, p,
+                         arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7, arg::_8, arg::_9),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
Index: code/branches/cpp11_v2/src/external/cpptcl/details/methods_v.h
===================================================================
--- code/branches/cpp11_v2/src/external/cpptcl/details/methods_v.h	(revision 10771)
+++ code/branches/cpp11_v2/src/external/cpptcl/details/methods_v.h	(revision 10775)
@@ -33,5 +33,5 @@
           {
                dispatch<R>::template do_dispatch<T1>(
-                    interp, boost::bind(cf_, p, _1),
+                    interp, std::bind(cf_, p, arg::_1),
                     t1);
           }
@@ -39,5 +39,5 @@
           {
                dispatch<R>::template do_dispatch<T1>(
-                    interp, boost::bind(f_, p, _1),
+                    interp, std::bind(f_, p, arg::_1),
                     t1);
           }
@@ -72,5 +72,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2>(
-                    interp, boost::bind(cf_, p, _1, _2),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2),
                     tcl_cast<T1>::from(interp, objv[2]),
                     t2);
@@ -79,5 +79,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2>(
-                    interp, boost::bind(f_, p, _1, _2),
+                    interp, std::bind(f_, p, arg::_1, arg::_2),
                     tcl_cast<T1>::from(interp, objv[2]),
                     t2);
@@ -113,5 +113,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3>(
-                    interp, boost::bind(cf_, p, _1, _2, _3),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -121,5 +121,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3>(
-                    interp, boost::bind(f_, p, _1, _2, _3),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -156,5 +156,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4>(
-                    interp, boost::bind(cf_, p, _1, _2, _3, _4),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3, arg::_4),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -165,5 +165,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4>(
-                    interp, boost::bind(f_, p, _1, _2, _3, _4),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3, arg::_4),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -202,5 +202,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5>(
-                    interp, boost::bind(cf_, p, _1, _2, _3, _4, _5),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -212,5 +212,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5>(
-                    interp, boost::bind(f_, p, _1, _2, _3, _4, _5),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -251,5 +251,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5, T6>(
-                    interp, boost::bind(cf_, p, _1, _2, _3, _4, _5, _6),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -262,5 +262,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5, T6>(
-                    interp, boost::bind(f_, p, _1, _2, _3, _4, _5, _6),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -302,5 +302,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5, T6, T7>(
-                    interp, boost::bind(cf_, p, _1, _2, _3, _4, _5, _6, _7),
+                    interp, std::bind(cf_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -314,5 +314,5 @@
           {
                dispatch<R>::template do_dispatch<T1, T2, T3, T4, T5, T6, T7>(
-                    interp, boost::bind(f_, p, _1, _2, _3, _4, _5, _6, _7),
+                    interp, std::bind(f_, p, arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -356,6 +356,6 @@
                dispatch<R>::template do_dispatch<
                     T1, T2, T3, T4, T5, T6, T7, T8>(
-                    interp, boost::bind(cf_, p,
-                         _1, _2, _3, _4, _5, _6, _7, _8),
+                    interp, std::bind(cf_, p,
+                         arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7, arg::_8),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -371,6 +371,6 @@
                dispatch<R>::template do_dispatch<
                     T1, T2, T3, T4, T5, T6, T7, T8>(
-                    interp, boost::bind(f_, p,
-                         _1, _2, _3, _4, _5, _6, _7, _8),
+                    interp, std::bind(f_, p,
+                         arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7, arg::_8),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -415,6 +415,6 @@
                dispatch<R>::template do_dispatch<
                     T1, T2, T3, T4, T5, T6, T7, T8, T9>(
-                    interp, boost::bind(cf_, p,
-                         _1, _2, _3, _4, _5, _6, _7, _8, _9),
+                    interp, std::bind(cf_, p,
+                         arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7, arg::_8, arg::_9),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),
@@ -431,6 +431,6 @@
                dispatch<R>::template do_dispatch<
                     T1, T2, T3, T4, T5, T6, T7, T8, T9>(
-                    interp, boost::bind(f_, p,
-                         _1, _2, _3, _4, _5, _6, _7, _8, _9),
+                    interp, std::bind(f_, p,
+                         arg::_1, arg::_2, arg::_3, arg::_4, arg::_5, arg::_6, arg::_7, arg::_8, arg::_9),
                     tcl_cast<T1>::from(interp, objv[2]),
                     tcl_cast<T2>::from(interp, objv[3]),