Index: code/branches/campaignHS15/data/levels/Campaign1.oxw
===================================================================
--- code/branches/campaignHS15/data/levels/Campaign1.oxw	(revision 10782)
+++ code/branches/campaignHS15/data/levels/Campaign1.oxw	(revision 10783)
@@ -83,5 +83,4 @@
         <QuestDescription title="Reach the Station A!" description="You need to get in contact with your base! Word is enemies are preparing to attack our people and goods! Be quick!" failMessage="" completeMessage="" />
         <hints>
-            <QuestHint id="quest1hint1" />
         </hints>
         <complete-effects>
@@ -92,10 +91,10 @@
 
     <GlobalQuest id="quest2">
-        <QuestDescription title="Prepare to fight the Enemy" description="Take over the faster, stronger, more secure and overall better spaceship by docking to Station A!" failMessage="" completeMessage="" />
+        <QuestDescription title="Prepare to fight the Enemy" description="You need to be prepared, mentally and physically! So gather all your strength and forces to destroy those space pirates!" failMessage="" completeMessage="" />
         <hints>
         </hints>
         <subquests>
             <GlobalQuest id="quest2.1">
-                <QuestDescription title="> Get a better Spaceship" description="Dock to Statino A!" failMessage="" completeMessage="" />
+                <QuestDescription title="> Get a better Spaceship" description="Take over the faster, stronger, more secure and overall better spaceship!" failMessage="" completeMessage="" />
                 <complete-effects>
                     <AddQuest questId="quest2.2" />
@@ -103,5 +102,5 @@
             </GlobalQuest>
             <GlobalQuest id="quest2.2">
-                <QuestDescription title="> Meet your Unit" description="Your unit will follow you, where ever you go. To victory or to death, they will be loyal to you!" failMessage="" completeMessage="" />
+                <QuestDescription title="> Meet your Unit" description="Your unit will help you, where ever you go. To victory or to death, they will be loyal to you!" failMessage="" completeMessage="" />
             </GlobalQuest>
         </subquests>
@@ -112,5 +111,5 @@
 
     <GlobalQuest id="quest3">
-        <QuestDescription title="Fight the first Wave" description="Five enemies are approaching you! There main target is the transporter though, so make to destroy them - before the destroy the transporter with the people and goods!" failMessage="Oh no! You have to be better, they destroyed the transporter!" completeMessage="Good Job!" />
+        <QuestDescription title="Fight the first Wave" description="Five enemies are approaching you! There main target is the transporter though, so destroy them - before the destroy the transporter with the valuebals goods (and of course the people aboard)!" failMessage="Oh no! You have to be better, they destroyed the transporter!" completeMessage="Good Job!" />
         <hints>
         </hints>
@@ -128,8 +127,8 @@
         <subquests>
             <GlobalQuest id="quest4.1">
-                <QuestDescription title="> Get to the Defense Station" description="Fly to Station C, we will repair you spaceship while you rest for a little." failMessage="" completeMessage="" />
+                <QuestDescription title="> Get to the Defense Station" description="Fly to Station C, we will repair your spaceship while you will fight them with the Cannons." failMessage="" completeMessage="" />
             </GlobalQuest>
             <GlobalQuest id="quest4.2">
-                <QuestDescription title="> Find the turret" description="" failMessage="" completeMessage="" />
+                <QuestDescription title="> Get into the Cannon Suit!" description="Dock to Station C, you will be able to contol the Cannons on top of the station, perfect for fighting off a hord of enemies!" failMessage="" completeMessage="" />
             </GlobalQuest>
         </subquests>
@@ -140,5 +139,5 @@
 
     <GlobalQuest id="quest5">
-        <QuestDescription title="Fight the Hord!" description="" failMessage="" completeMessage="" />
+        <QuestDescription title="Fight the Hord!" description="Destroy the next wave!" failMessage="" completeMessage="" />
         <hints>
         </hints>
@@ -151,13 +150,13 @@
 
     <GlobalQuest id="quest6">
-        <QuestDescription title="Get back to the Transporter" description="" failMessage="" completeMessage="" />
+        <QuestDescription title="Get back to the Transporter" description="Undock from Station C and get into your Spaceship!" failMessage="" completeMessage="" />
         <hints>
         </hints>
         <subquests>
             <GlobalQuest id="quest6.1">
-                <QuestDescription title="> Collect the local Pickups" description="" failMessage="" completeMessage="" />
+                <QuestDescription title="> Collect the local Pickups" description="There are pickups scattered around Spacestation C, you can collect them if you want to, but it is advised to do so. They will support your task in destroying the enemies and make your life easier." failMessage="" completeMessage="" />
             </GlobalQuest>
             <GlobalQuest id="quest6.2">
-                <QuestDescription title="> Use Portal to the Transporter" description="" failMessage="" completeMessage="" />
+                <QuestDescription title="> Get back to the Transporter" description="Fly to the transporter!" failMessage="" completeMessage="" />
             </GlobalQuest>
         </subquests>
@@ -168,5 +167,5 @@
 
     <GlobalQuest id="quest7">
-        <QuestDescription title="Fight the final Wave" description="" failMessage="" completeMessage="" />
+        <QuestDescription title="Fight the final Wave" description="Good gracious, another hord of pirate ships!" failMessage="" completeMessage="" />
         <hints>
         </hints>
@@ -649,10 +648,10 @@
     <?lua
         dofile("includes/asteroidField.lua")
-       asteroidField(cField1[1], cField1[2], cField1[3], 20, 30, 2200, 250, 0)
+       asteroidField(cField1[1], cField1[2], cField1[3], 20, 30, 2000, 250, 0)
     ?>
 
     <?lua
         dofile("includes/asteroidField.lua")
-       asteroidField(cField2[1], cField2[2], cField2[3], 20, 30, 2200, 250, 0)
+       asteroidField(cField2[1], cField2[2], cField2[3], 20, 30, 2000, 250, 0)
     ?>
 